# Project: {{ CI_PROJECT_URL }}
# Environment: {{ CI_ENVIRONMENT_NAME|default('') }}

server {
  listen                    80;
  server_name               {{ DOMAIN_NAME }};
 
  root {{ PROJECT_ROOT }}/{{ CI_ENVIRONMENT_NAME }};

  location / {
    try_files $uri $uri/ @rewrites;
  }

  gzip_static  on;
  gzip_proxied any;

  location @rewrites {
    rewrite ^(.+)$ /index.html last;
  }

  include snippets/gitlab-{{ CI_PROJECT_ID }}.d/{{ CI_ENVIRONMENT_NAME }}/*.conf;

  access_log                /var/log/nginx/gitlab-{{ CI_PROJECT_ID }}-{{ CI_ENVIRONMENT_NAME }}_access.log;
  error_log                 /var/log/nginx/gitlab-{{ CI_PROJECT_ID }}-{{ CI_ENVIRONMENT_NAME }}_error.log;

}
